Package org.jboss.resteasy.plugins.interceptors

## Class GZIPEncodingInterceptor.EndableGZIPOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - java.util.zip.DeflaterOutputStream
      - - java.util.zip.GZIPOutputStream
        - - org.jboss.resteasy.plugins.interceptors.GZIPEncodingInterceptor.EndableGZIPOutputStream

- All Implemented Interfaces:
    `Closeable`, `Flushable`, `AutoCloseable`
  Enclosing class:
    GZIPEncodingInterceptor

      public static class GZIPEncodingInterceptor.EndableGZIPOutputStream
      extends GZIPOutputStream

- - ### Field Summary

    - ### Fields inherited from class java.util.zip.GZIPOutputStream

      `crc`

    - ### Fields inherited from class java.util.zip.DeflaterOutputStream

      `buf, def`

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EndableGZIPOutputStream​(OutputStream os)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `finish()` |

    - ### Methods inherited from class java.util.zip.GZIPOutputStream

      `write`

    - ### Methods inherited from class java.util.zip.DeflaterOutputStream

      `close, deflate, flush, write`

    - ### Methods inherited from class java.io.FilterOutputStream

      `write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EndableGZIPOutputStream

          public EndableGZIPOutputStream​(OutputStream os)
                                  throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### finish

          public void finish()
                      throws IOException

      Overrides:
        `finish` in class `GZIPOutputStream`
      Throws:
        `IOException`